Subject: Re: apparent bug: incorrect file position after write()
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sat, 05 Mar 2005 14:00:10 -0800

"imaginate australiamail.com" wrote:
> 
> >
> > Brian Dessent wrote:
> >
> > > If > you don't want that, then don't use textmode mounts.
> >
> > ...or open the file with O_BINARY.
> >
> 
> Mounting binary solves the problem - I wasn't aware of that functionality.  O_BINARY is probably not so portable so I'll steer clear of that.

You can get around that using #ifdef and #define etc.  Or you can link
against the Cygwin-provided binmode.o to make all opens binary by
default.  If you ever plan to distribute your program, you'll pull your
hair out with Cygwin users and textmode mounts, so probably better to
open in binary mode if you're doing binary I/O.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/